# $Revision: 1.16 $, $Date: 2007-02-13 08:06:41 $
Summary:	Programs for mounting and unmounting filesystems as normal user
Summary(pl.UTF-8):	Programy do montowania i odmontowywania systemów plików jako zwykły użytkownik
Name:		pmount
Version:	0.9.13
Release:	1
License:	GPL v2
Group:		Applications
Source0:	http://www.piware.de/projects/%{name}-%{version}.tar.gz
# Source0-md5:	978d1c996fb7f74e8bb953d5674ab691
Patch0:		%{name}-build_fixes.patch
URL:		http://www.piware.de/projects.shtml
BuildRequires:	autoconf
BuildRequires:	automake >= 2.52
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel
BuildRequires:	hal-devel >= 0.5.2
BuildRequires:	intltool >= 0.21
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	sysfsutils-devel >= 1.3.0-3
Requires:	hal >= 0.5.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pmount is a wrapper around the standard mount program which permits
normal users to mount/umount removable devices without a matching
/etc/fstab entry.

%description -l pl.UTF-8
pmount jest wrapperem standardowego programu mount, który pozwala
zwykłemu użytkownikowi na montowanie/odmontowywanie urządzeń
wymiennych nie posiadających wpisu w /etc/fstab.

%prep
%setup -q
%patch0 -p1

%build
%{__intltoolize}
%{__aclocal}
%{__automake}
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog TODO
%config(noreplace) %verify(not md5 mtime size) /etc/pmount.allow
%attr(4755,root,root) %{_bindir}/pmount
%attr(4755,root,root) %{_bindir}/pumount
%attr(755,root,root) %{_bindir}/pmount-hal
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pmount.spec,v $
Revision 1.16  2007-02-13 08:06:41  glen
- tabs in preamble

Revision 1.15  2007/02/12 01:06:26  baggins
- converted to UTF-8

Revision 1.14  2006/09/27 08:14:07  rotom
- updated to 0.9.13

Revision 1.13  2006/08/13 20:15:37  grzegol
- added dbus patch (fixes build with dbus-0.91)

Revision 1.12  2006/08/09 23:20:33  havner
- rel 2

Revision 1.11  2006/06/21 09:19:06  charles
- updated to 0.9.11
- BR: glib2-devel, libtool

Revision 1.10  2006/03/27 16:44:29  freetz
- 0.9.9

Revision 1.9  2006/02/27 15:30:27  freetz
- 0.9.7, refresh intltool files, fully rebuild am/ac

Revision 1.8  2005/11/25 15:59:39  zboczuch
- rel. 2 to rebuild against changed build_fixes patch
- BR: sysfsutils-devel >= 1.3.0-3

Revision 1.7  2005/10/15 10:30:20  freetz
- BR: gettext-devel

Revision 1.6  2005/08/14 09:38:53  freetz
- 0.9.4

Revision 1.5  2005/08/03 17:25:30  qboosh
- pl summary/desc consistency

Revision 1.4  2005/08/02 13:51:01  freetz
- require recent hal version

Revision 1.3  2005/08/02 13:42:38  glen
- quote CC

Revision 1.2  2005/08/02 13:41:02  freetz
- typo

Revision 1.1  2005/08/02 13:20:05  freetz
- initial
